
-- 删除中国、新加坡、越南税号繁体预置数据 zh_TW
DELETE FROM T_INT_TAXIDCHECK_L WHERE FPKID = '3DH0A6MD5NY+';
DELETE FROM T_INT_TAXIDCHECK_L WHERE FPKID = '3DH0GLBXD1OQ';
DELETE FROM T_INT_TAXIDCHECK_L WHERE FPKID = '3GVU6E0ZHO6+';

-- 修改新加坡\越南税号名称
update T_INT_TAXIDCHECK set FNAME = '唯一实体号码' where fid = 1721813648378313728;
update T_INT_TAXIDCHECK_L set FNAME = '唯一实体号码' where fid = 1721813648378313728 and FPKID = '3DH0GLBXD1OP';
update T_INT_TAXIDCHECK set FNAME = '纳税人识别号' where fid = 1749321440374669312;
update T_INT_TAXIDCHECK_L set FNAME = '纳税人识别号' where fid = 1749321440374669312 and FPKID = '3GVU6E0ZHO5Z';

-- 修改新加坡税号规则的显示格式
update t_int_taxidcheck_entry set fdisplayformat = 'TNNPQNNNNA' where fentryid = 1721813648403479552;
update t_int_taxidcheck_entry set fdisplayformat = 'NNNNNNNNA' where fentryid = 1721813648403479553;
update t_int_taxidcheck_entry set fdisplayformat = 'YYYYNNNNNA' where fentryid = 1721813648403479554;


-- 新增税号数据(美国、香港、澳门、加拿大、日本、澳大利亚、英国、德国、马来西亚、泰国、印度尼西亚)
DELETE FROM t_int_taxidcheck WHERE FID = 1834817950239134720;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834817950239134720,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834817950239134720,'A',1,'纳税人识别号',1000011,'1','DE01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834828672336795648;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834828672336795648,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834828672336795648,'A',1,'企业识别号',1000009,'1','JP01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834849684969363456;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834849684969363456,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834849684969363456,'A',1,'社会保险号',1000002,'1','US01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834849704598706176;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834849704598706176,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834849704598706176,'A',1,'雇主身份号码',1000002,'1','US02'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834851130723767296;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834851130723767296,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834851130723767296,'A',1,'信托账户号码',1000006,'1','CA02'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834851273808253952;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834851273808253952,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834851273808253952,'A',1,'商业编号',1000006,'1','CA01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834852242700866560;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834852242700866560,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834852242700866560,'A',1,'纳税人唯一编号',1000012,'1','GB01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834858708631524352;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834858708631524352,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834858708631524352,'A',1,'国家保险号',1000012,'1','GB02'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834866062057150464;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834866062057150464,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834866062057150464,'A',1,'纳税人识别号',1000010,'1','TH01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834866608918894592;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834866608918894592,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834866608918894592,'A',1,'纳税人识别号',804166864480507905,'1','ID01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834875621379282944;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834875621379282944,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834875621379282944,'A',1,'商业登记编号',1000003,'1','HK01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834876111092421632;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834876111092421632,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834876111092421632,'A',1,'企业纳税人识别号',1000004,'1','MO01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834830499496039424;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834830499496039424,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834830499496039424,'A',1,'商业编号',1000019,'1','AU01'); 
DELETE FROM t_int_taxidcheck WHERE FID = 1834863750995646464;
INSERT INTO t_int_taxidcheck(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FMASTERID,FSTATUS,FCREATORID,FNAME,FGROUPID,FISSYSTEM,FNUMBER) VALUES (1834863750995646464,{ts'2023-12-07  00:00:00'},1,'1',{ts'2023-12-07  00:00:00'},1834863750995646464,'A',1,'实体纳税人识别号',804166864388234241,'1','MY01'); 


-- 多语言zh_CN记录
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCEV/OGD85O';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834817950239134720,'3RCEV/OGD85O','zh_CN','纳税人识别号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCGV4QD/6IF';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834828672336795648,'3RCGV4QD/6IF','zh_CN','企业识别号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCH6G+MZDMI';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834830499496039424,'3RCH6G+MZDMI','zh_CN','商业编号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCKS9C/G+WK';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834849684969363456,'3RCKS9C/G+WK','zh_CN','社会保险号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCKSDY=HA20';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834849704598706176,'3RCKSDY=HA20','zh_CN','雇主身份号码'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCL0T7W126Q';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834851130723767296,'3RCL0T7W126Q','zh_CN','信托账户号码'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCL1UWNMNTD';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834851273808253952,'3RCL1UWNMNTD','zh_CN','商业编号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCL8X=LU54+';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834852242700866560,'3RCL8X=LU54+','zh_CN','纳税人唯一编号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCMG/U6+LTT';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834858708631524352,'3RCMG/U6+LTT','zh_CN','国家保险号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCNDRTJEH9+';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834863750995646464,'3RCNDRTJEH9+','zh_CN','实体纳税人识别号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCNULL38IDI';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834866062057150464,'3RCNULL38IDI','zh_CN','纳税人识别号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCNYL/BEZRA';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834866608918894592,'3RCNYL/BEZRA','zh_CN','纳税人识别号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCPM99ZCGBS';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834875621379282944,'3RCPM99ZCGBS','zh_CN','商业登记编号'); 
DELETE FROM t_int_taxidcheck_l WHERE FPKID = '3RCPPUFQ3YGA';
INSERT INTO t_int_taxidcheck_l(FID,FPKID,FLOCALEID,FNAME) VALUES (1834876111092421632,'3RCPPUFQ3YGA','zh_CN','企业纳税人识别号'); 


-- 税号规则
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834817950591456256;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834817950239134720,1834817950591456256,1,'NNNNNNNNNNN','^\d{10}\d$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834828672387127296;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834828672336795648,1834828672387127296,1,'NNNNNNNNNNNNN','^\d{12}\d$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834849685028083712;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834849684969363456,1834849685028083712,1,'NNN-NN-NNNN','^\d{3}-\d{2}-\d{4}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834849704632260608;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834849704598706176,1834849704632260608,1,'NN-NNNNNNN','^\d{2}-\d{7}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834851130757321728;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834851130723767296,1834851130757321728,1,'TNNNNNNNN','^T\d{8}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834851130757321729;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834851130723767296,1834851130757321729,2,'NNNNNNNN','^\d{8}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834851273833419776;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834851273808253952,1834851273833419776,1,'NNNNNNNNNNN','^\d{9}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834852242927358976;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834852242700866560,1834852242927358976,1,'NNNNNNNNNN','^\d{10}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834858708715410432;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834858708631524352,1834858708715410432,1,'XXNNNNNNX','^[A-Z]{2}\d{6}[ABCD]$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834866062082316288;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834866062057150464,1834866062082316288,1,'NNNNNNNNNNNNN','^\d{13}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834866608952449024;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834866608918894592,1834866608952449024,1,'NNNNNNNNNNNNNNN','^\d{15}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834866608952449025;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834866608918894592,1834866608952449025,2,'NNNNNNNNNNNNNNNN','^\d{16}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834875621412837376;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834875621379282944,1834875621412837376,1,'NNNNNNNN','^\d{8}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834876111117587456;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834876111092421632,1834876111117587456,1,'8NNNNNNN','^8\d{7}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834830499529593856;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834830499496039424,1834830499529593856,1,'NNNNNNNNNNN','^\d{2}\d{9}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200896;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200896,1,'ANNNNNNNNN0','^[A-Z]\d{9}0$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200897;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200897,2,'ANNNNNNNNNN0','^[A-Z]\d{10}0$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200898;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200898,3,'ANNNNNNNNN0','^[A-Z]{2}\d{9}0$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200899;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200899,4,'ANNNNNNNNNN0','^[A-Z]{2}\d{10}0$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200900;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200900,5,'ANNNNNNNNN','^[A-Z]\d{9}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200901;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200901,6,'ANNNNNNNNNN','^[A-Z]\d{10}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200902;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200902,7,'AANNNNNNNNN','^[A-Z]{2}\d{9}$'); 
DELETE FROM T_INT_TAXIDCHECK_ENTRY WHERE FENTRYID = 1834863751029200903;
INSERT INTO T_INT_TAXIDCHECK_ENTRY(FID,FENTRYID,FSEQ,FDISPLAYFORMAT,FREGULAREXPRESSION) VALUES (1834863750995646464,1834863751029200903,8,'AANNNNNNNNNN','^[A-Z]{2}\d{10}$'); 
